Page MenuHomePhabricator

Include placeholder in reply input
Closed, ResolvedPublic

Description

This task is about implementing helper text [i] within the reply's text input. This text should be overwritten/displaced once a contributor starts drafting their comment.

Helper text components

This helper text should include the following text:

  1. "Reply to"
  2. The author of the comment a contributor is replying to

Done

  • Helper text is implemented that contains the "Helper text components" above
  • Helper text should disappear/be overwritten once a contributor starts writing a reply

Reference


Source: T235593#5897563


  1. https://material.io/develop/web/components/input-controls/text-field/helper-text/

Event Timeline

ppelberg renamed this task from Populate reply text input w/ link to parent comment's author's user page to Include helper text in reply input.Feb 26 2020, 4:41 PM
ppelberg updated the task description. (Show Details)
ppelberg updated the task description. (Show Details)

Re: placeholder text saying "Reply to @RockawayBch4vr"

  1. Is the '@' necessary?
  2. Should we show it for IPs, e.g. "Reply to 192.168.0.1" / "Reply to @192.168.0.1"

My leanings are

  1. Probably not, it doesn't necessarily appear anywhere else on the page (except in some wiki-specific mention templates)
  2. Probably, it might be helpful to know you clicked on the right reply button?
ppelberg added a subscriber: iamjessklein.EditedFeb 28 2020, 12:54 AM

Adding comments to the points @Esanders and @iamjessklein raised in T235593#5916099 and T235593#5920258...

1. Re: placeholder text saying "Reply to @RockawayBch4vr"
i) +1 to what you (Jess) and Ed arrived at: Do not prepend @ for the reason Ed mentioned in T235593#5916099.

A note: we may revise this if we see the @ convention to become more popular after the introduction of T232601.

ii) I think we should include placeholder text when contributors are responding to a comment authored by an IP editor (e.g. "Reply to 192.168.0.1") for the reason Ed raised in T235593#5916099: having the username of the author of the comment you are replying to within the helper text, could lead people to feel more confident they are responding to the right person.

Change 575534 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/DiscussionTools@master] Reply-to placeholder

https://gerrit.wikimedia.org/r/575534

Esanders renamed this task from Include helper text in reply input to Include placeholder in reply input.Mar 2 2020, 5:57 PM

Change 575534 merged by jenkins-bot:
[mediawiki/extensions/DiscussionTools@master] Reply-to placeholder

https://gerrit.wikimedia.org/r/575534

JTannerWMF moved this task from Inbox to High Priority on the Editing QA board.Mar 11 2020, 8:30 PM
Ryasmeen edited projects, added Verified; removed Editing QA.Mar 17 2020, 7:32 PM
ppelberg closed this task as Resolved.Mar 18 2020, 3:30 PM
ppelberg claimed this task.